### Method

# Ide Debugger get_breakpoints

#### Declaration

    GListModel*
    ide_debugger_get_breakpoints (
      IdeDebugger* self
    )

#### Description

Gets the breakpoints for the `IdeDebugger`.

Contrast this to `ide_debugger_list_breakpoints_async()` which will query the debugger backend for breakpoints. This `GListModel` containing `IdeDebuggerBreakpoint` instances is updated as necessary by listening to various breakpoint related signals on the `IdeDebugger` instance.

This is primarily out of convenience to be used by UI which wants to display information on breakpoints.

Available since: | 3.32

#### Return value

Returns: | A list model of `GObject`
| A `GListModel` of `IdeDebuggerBreakpoint`.
| The data is owned by the instance.